"use strict";

var _shelljs = require("shelljs");

var _shelljs2 = _interopRequireDefault(_shelljs);

var _path = require("path");

var _path2 = _interopRequireDefault(_path);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var consumerProjectRoot = _path2.default.resolve("./"); // evanston-avenue, for instance
require('dotenv').config({ path: _path2.default.join(consumerProjectRoot, './.env') });

/* extract package from cloud */
_shelljs2.default.exec("cd " + _path2.default.join(consumerProjectRoot, "./www"));
_shelljs2.default.exec("rm -rf " + _path2.default.join(consumerProjectRoot, "./deploy/pull.sql"));
_shelljs2.default.exec("mysqldump -u wordpress -p" + process.env.MYSQL_LOCAL_PWD + " " + process.env.MYSQL_LOCAL_DBNAME + " > " + _path2.default.join(consumerProjectRoot, "./deploy/pull.sql"));